class PhoneNumber

# class PhoneNumber | Phonenumber information. More...
Full name | `KABC::PhoneNumber`
Definition | `#include <phonenumber.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- typedef QValueList List
- typedef QValueList TypeList
- enum Types { Home = 1, Work = 2, Msg = 4, Pref = 8, Voice = 16, Fax = 32, Cell = 64, Video = 128, Bbs = 256, Modem = 512, Car = 1024, Isdn = 2048, Pcs = 4096, Pager = 8192 }

#### Public Methods

- PhoneNumber ()
- PhoneNumber ( const QString &number, int type = Home )
- ~PhoneNumber ()
- bool operator== ( const PhoneNumber & ) const
- bool operator!= ( const PhoneNumber & ) const
- void setId ( const QString &id )
- QString id () const
- void setNumber ( const QString & )
- QString number () const
- void setType ( int )
- int type () const
- QString typeLabel () const
- QString label () const

#### Public Static Methods

- static TypeList typeList ()
- static QString typeLabel ( int type )
- static QString label ( int type )

## Detailed Description

This class provides phone number information. A phone number is classified by a type. The following types are available, it's possible to use multiple types Types for a number by combining them through a logical or.

typedef QValueList List | ### List

typedef QValueList TypeList | ### TypeList

enum Types { Home = 1, Work = 2, Msg = 4, Pref = 8, Voice = 16, Fax = 32, Cell = 64, Video = 128, Bbs = 256, Modem = 512, Car = 1024, Isdn = 2048, Pcs = 4096, Pager = 8192 } | ### Types

- `Home` - Home number
- `Work` - Office number
- `Msg` - Messaging
- `Pref` - Preferred number
- `Voice` - Voice
- `Fax` - Fax machine
- `Cell` - Cell phone
- `Video` - Video phone
- `Bbs` - Mailbox
- `Modem` - Modem
- `Car` - Car phone
- `Isdn` - ISDN connection
- `Pcs` - Personal Communication Service
- `Pager` - Pager

PhoneNumber () | ### PhoneNumber

Create an empty phone number object.

PhoneNumber ( const QString &number, int type = Home ) | ### PhoneNumber

Create a phonenumber object.

Parameters:

number | Number
type | Type as defined in enum. Multiple types can be specified by combining them by a logical or.

~PhoneNumber () | ### ~PhoneNumber

Destructor.

bool operator== ( const PhoneNumber & ) | ### operator==

[const]

bool operator!= ( const PhoneNumber & ) | ### operator!=

[const]

void setId ( const QString &id ) | ### setId

Sets the unique identifier.

QString id () | ### id

[const]

Returns the unique identifier.

void setNumber ( const QString & ) | ### setNumber

Sets the number.

QString number () | ### number

[const]

Returns the number.

void setType ( int ) | ### setType

Sets the type. Multiple types can be specified by combining them by a logical or.

int type () | ### type

[const]

Returns the type. Can be a multiple types combined by a logical or.

QString typeLabel () | ### typeLabel

[const]

Returns a translated string of all types the address has.

QString label () | ### label

[const]

Returns the translated label for phone number depending on its type.

TypeList typeList () | ### typeList

[static]

Returns a list of all available types

QString typeLabel ( int type ) | ### typeLabel

[static]

Returns the translated label for phone number type.

QString label ( int type ) | ### label

[static]

Returns the translated label for phone number type. @obsolete

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:02 2003, using kdoc 2.0a54.